- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WP42HeaderFooterGroup Class Reference

`#include <WP42HeaderFooterGroup.h>`

Inheritance diagram for WP42HeaderFooterGroup:

## Public Member Functions
| WP42HeaderFooterGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
| ~WP42HeaderFooterGroup ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP42Listener *listener)
Public Member Functions inherited from WP42MultiByteFunctionGroup
| WP42MultiByteFunctionGroup (unsigned char group)
virtual | ~WP42MultiByteFunctionGroup ()
Public Member Functions inherited from WP42Part
virtual | ~WP42Part ()

## Private Member Functions
| WP42HeaderFooterGroup (const WP42HeaderFooterGroup &)
WP42HeaderFooterGroup & | operator= (const WP42HeaderFooterGroup &)

## Private Attributes
unsigned char | m_definition
WP42SubDocument * | m_subDocument

## Additional Inherited Members
Static Public Member Functions inherited from WP42MultiByteFunctionGroup
static WP42MultiByteFunctionGroup * | constructMultiByteFunctionGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
Static Public Member Functions inherited from WP42Part
static WP42Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)
Protected Member Functions inherited from WP42MultiByteFunctionGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getGroup () const

## Constructor & Destructor Documentation

WP42HeaderFooterGroup::WP42HeaderFooterGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group
| ) |  |

WP42HeaderFooterGroup::~WP42HeaderFooterGroup | ( |  | ) |

WP42HeaderFooterGroup::WP42HeaderFooterGroup | ( | const WP42HeaderFooterGroup & |  | ) |
| private

## Member Function Documentation

void WP42HeaderFooterGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Implements WP42MultiByteFunctionGroup.

WP42HeaderFooterGroup& WP42HeaderFooterGroup::operator= | ( | const WP42HeaderFooterGroup & |  | ) |
| private

void WP42HeaderFooterGroup::parse | ( | WP42Listener * | listener | ) |
| virtual

Implements WP42Part.

## Member Data Documentation

unsigned char WP42HeaderFooterGroup::m_definition
| private

Referenced by _readContents(), and parse().

WP42SubDocument* WP42HeaderFooterGroup::m_subDocument
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP42HeaderFooterGroup.h
- WP42HeaderFooterGroup.cpp